Bug 171297 - [PATCH] devel/tbb: Remove hardcoded dependency on gcc
[PATCH] devel/tbb: Remove hardcoded dependency on gcc
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Ganael LAPLANCHE
Depends on:
  Show dependency treegraph
Reported: 2012-09-03 22:30 UTC by christian.mangin
Modified: 2012-12-12 07:43 UTC (History)
0 users

See Also:

tbb.diff (3.22 KB, patch)
2012-09-03 22:30 UTC, christian.mangin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description christian.mangin 2012-09-03 22:30:05 UTC
This port has a hardcoded dependency on gcc and will not compile if gcc 
is not present in the base system. It does honor $CXX but not $CC.

In fact, this port requires the presence of a file 'FreeBSD.<compiler>.inc' 
to actually accept using a given C compiler. At this time, only 
'FreeBSD.gcc.inc' is present and therefore gcc is required.

My solution here is to create a copy the file with the correct name for
the requested C compiler and make the appropriate substitutions.

This has been tested to work with base clang, base gcc and lang/gcc.

Fix: Patch attached:
Comment 1 Edwin Groothuis freebsd_committer 2012-09-03 22:30:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ganael LAPLANCHE freebsd_committer 2012-09-06 07:28:15 UTC
Hi Christian,

Thank you very much for your patch.

I will upgrade devel/tbb to 4.0.5 soon (after the upcoming ports freeze)
; I'll integrate your patch with this update.

Best regards,

Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 3 Ganael LAPLANCHE freebsd_committer 2012-12-12 07:43:57 UTC
State Changed
From-To: open->closed

Committed, thanks!